name: "DEV ADIBROV - Vmagent Too Many Scrape ErrorsTEST ALLERT DEV"
expression: |
  increase(vm_promscrape_scrapes_failed_total{job=~".*agent.*"}[5m]) > 35
threshold: 40 # временный порог
for: "15m"
condition_type: "gt"
need_reduce: false
no_data_state: "OK"
exec_err_state: "KeepLast"
labels:
  service: "vmagent"
  severity: "warning"
  status: "test"
summary: |
  Vmagent не может собрать один или несколько target'ов на инстансе {{ $labels.instance }}.
description: |
  Job "{{ $labels.job }}" на инстансе {{ $labels.instance }} не может успешно скрапить target'ы в течение последних 15 минут.
  
  **Влияние:** ПРОИСХОДИТ ПРЯМАЯ ПОТЕРЯ МЕТРИК ОТ ЦЕЛЕВОГО СЕРВИСА!
  Вы не получаете данные от одного или нескольких наблюдаемых сервисов. Дашборды и алерты, связанные с этими target'ами, будут показывать неполную или устаревшую информацию в мониторинге.